# encoding: utf-8

# File:	clients/oes-ldap.ycp
# Package:	Configuration of oes-ldap
# Summary:	Main file
# Authors:	Novell YaST2 Development Team <support@novell.com>
#
# $Id: oes-ldap.ycp,v 1.1.2.1 2005/06/25 23:39:25 rhaslam Exp $
#
# Main file for oes-ldap configuration. Uses all other files.
module Yast
  class OesLdapClient < Client
    def main
      Yast.import "UI"

      #**
      # <h3>Configuration of oes-ldap</h3>

      textdomain "oes-ldap"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("OesLdap module started")

      Yast.import "Progress"
      Yast.import "Report"
      Yast.import "Summary"
      Yast.import "NovellAddonInstall"
      Yast.import "CommandLine"
      Yast.include self, "oes-ldap/wizards.rb"

      @cmdline_description = {
        "id"         => "oes-ldap",
        # Command line help text for the Xoes-ldap module
        "help"       => _(
          "Configuration of oes-ldap"
        ),
        "guihandler" => fun_ref(method(:OesLdapSequence), "any ()"),
        "initialize" => fun_ref(NovellLDAP.method(:Read), "boolean ()"),
        "finish"     => fun_ref(NovellLDAP.method(:Write), "boolean ()"),
        "actions" =>
          # FIXME TODO: fill the functionality description here
          {},
        "options" =>
          # FIXME TODO: fill the option descriptions here
          {},
        "mappings" =>
          # FIXME TODO: fill the mappings of actions and options here
          {}
      }

      # is this proposal or not?
      @propose = false
      @args = WFM.Args
      if Ops.greater_than(Builtins.size(@args), 0)
        if Ops.is_path?(WFM.Args(0)) && WFM.Args(0) == path(".propose")
          Builtins.y2milestone("Using PROPOSE mode")
          @propose = true
        end
      end

      # main ui function
      @ret = nil

      if @propose
        if Ops.get(NovellAddonInstall.products_to_configure, "oes-ldap", true)
          @ret = OesLdapAutoSequence()
        else
          @ret = :next
        end
      else
        @ret = CommandLine.Run(@cmdline_description)
      end
      Builtins.y2debug("ret=%1", @ret)

      # Finish
      Builtins.y2milestone("OesLdap module finished")
      Builtins.y2milestone("----------------------------------------")

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::OesLdapClient.new.main
