# encoding: utf-8

# File:	clients/oes-ldap_info.ycp
# Package:	Configuration of oes-ldap
# Summary:	info function dispatcher.
# Authors:	Michael G. Fritch <mgfritch@novell.com>
#
# $Id: oes-ldap_info.ycp,v 1.1.2.10 2005/02/10 21:20:32 mgfritch Exp $
#
# info function dispatcher for oes-ldap configuration.
module Yast
  class OesLdapInfoClient < Client
    def main

      textdomain "oes-ldap"

      Yast.import "NovellAddonInstall"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("oes-ldap info started")

      @func = Convert.to_string(WFM.Args(0))
      @param = Convert.to_map(WFM.Args(1))
      @ret = {}

      # return the status of this product
      if @func == "Info"
        @cfg_file = "/etc/sysconfig/novell/oes-ldap" # path to the sysconfig file // FIXME: should this be globally available in the module file
        @ret = NovellAddonInstall.ReadConfigFileSettings(@cfg_file)
      else
        Builtins.y2error("unknown function: %1", @func)
      end

      # Finish
      Builtins.y2debug("ret=%1", @ret)
      Builtins.y2milestone("oes-ldap info finished")
      Builtins.y2milestone("----------------------------------------")
      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::OesLdapInfoClient.new.main
