# encoding: utf-8

# File:	include/oes-ldap/complex.ycp
# Package:	Configuration of oes-ldap
# Summary:	Dialogs definitions
# Authors:	Novell YaST2 Development Team <support@novell.com>
#
# $Id: complex.ycp,v 1.1.2.1 2005/06/25 23:39:25 rhaslam Exp $
module Yast
  module OesLdapComplexInclude
    def initialize_oes_ldap_complex(include_target)
      Yast.import "UI"

      textdomain "oes-ldap"

      Yast.import "Label"
      Yast.import "Popup"
      Yast.import "Wizard"
      Yast.import "UIHelper"
      Yast.import "NovellLDAP"

      Yast.include include_target, "oes-ldap/helps.rb"
    end

    # Return a modification status
    # @return true if data was modified
    def Modified
      NovellLDAP.Modified
    end

    def ReallyAbort
      !NovellLDAP.Modified || Popup.ReallyAbort(true)
    end

    def PollAbort
      UI.PollInput == :abort
    end

    # Read settings dialog
    # @return `abort if aborted and `next otherwise
    def ReadDialog
      Wizard.RestoreHelp(Ops.get_string(@HELPS, "read", ""))
      ret = NovellLDAP.Read
      ret ? :next : :abort
    end

    # Write settings dialog
    # @return `abort if aborted and `next otherwise
    def WriteDialog
      Wizard.RestoreHelp(Ops.get_string(@HELPS, "write", ""))
      ret = NovellLDAP.Write
      ret ? :next : :abort
    end
  end
end
