# encoding: utf-8

# ------------------------------------------------------------------------------
# Copyright (c) 2007 Novell, Inc. All Rights Reserved.
#
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact Novell, Inc.
#
# To contact Novell about this file by physical or electronic mail, you may find
# current contact information at www.novell.com.
# ------------------------------------------------------------------------------

# File:	modules/NovellLDAPUI.ycp
# Package:	Configuration of oes-ldap
# Summary:	NovellLDAP UI dialogs
# Authors:	Ryan Partridge <rpartridge@novell.com>
#
# $Id: NovellLDAPUI.ycp 27914 2006-02-13 14:32:08Z locilka $
#
# Representation of the configuration of oes-ldap.
# Input and output routines.
require "yast"

module Yast
  class NovellLDAPUIClass < Module
    def main
      Yast.import "UI"
      textdomain "oes-ldap"

      Yast.include self, "oes-ldap/dialogs.rb" 

      # EOF
    end

    publish :function => :ServerListWidget, :type => "map (list <map>, string, string, boolean, symbol)"
    publish :function => :ServerListWidgetAlternateLdapServers, :type => "map (list <map>, string, string, boolean, symbol, list <string>)"
    publish :function => :ValidateCredentials, :type => "integer (string)"
    publish :function => :AdminPasswordDialog2, :type => "void (boolean)"
    publish :function => :AdminPasswordDialog, :type => "void ()"
    publish :function => :CommonProxyPasswordDialog, :type => "string ()"
    publish :function => :UpgradeReplicaAddressdDialog, :type => "string (string)"
    publish :function => :XadDomainAdminPasswordDialog, :type => "string ()"
    publish :function => :XadTreeAdminPasswordDialog, :type => "void ()"
    publish :function => :AddServerDialog, :type => "map (list <map>, symbol)"
    publish :function => :LDAPServersDialog, :type => "any ()"
  end

  NovellLDAPUI = NovellLDAPUIClass.new
  NovellLDAPUI.main
end
